## org.jfree.chart
Interface ChartMouseListener

All Superinterfaces:
  java.util.EventListener

    public interface ChartMouseListener

extends java.util.EventListener

The interface that must be implemented by classes that wish to receive `ChartMouseEvent` notifications from a `ChartPanel`.

See Also:
  `ChartPanel.addChartMouseListener(ChartMouseListener)`

Method Summary
`void` `chartMouseClicked(ChartMouseEvent event)` Callback method for receiving notification of a mouse click on a chart.
`void` `chartMouseMoved(ChartMouseEvent event)` Callback method for receiving notification of a mouse movement on a chart.

Method Detail

### chartMouseClicked

    void chartMouseClicked(ChartMouseEvent event)

  Callback method for receiving notification of a mouse click on a chart.

  Parameters:
    `event` - information about the event.

### chartMouseMoved

    void chartMouseMoved(ChartMouseEvent event)

  Callback method for receiving notification of a mouse movement on a chart.

  Parameters:
    `event` - information about the event.